Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.j2ee
Interface J2EEManagedObject

All Superinterfaces:
  AMX, AMXMBeanLogging, ConfigProvider, NotificationBroadcaster, NotificationEmitter

All Known Subinterfaces:
  AppClientModule, EJB, EJBModule, EntityBean, J2EEApplication, J2EECluster, J2EEDeployedObject, J2EEDomain, J2EELogicalServer, J2EEModule, J2EEResource, J2EEServer, JavaMailResource, JCAConnectionFactory, JCAManagedConnectionFactory, JCAResource, JDBCDataSource, JDBCDriver, JDBCResource, JMSResource, JNDIResource, JTAResource, JVM, MessageDrivenBean, ResourceAdapter, ResourceAdapterModule, RMIIIOPResource, Servlet, SessionBean, StatefulSessionBean, StatelessSessionBean, URLResource, WebModule

public interface J2EEManagedObject
extends AMX, ConfigProvider

The J2EEManagedObject model is the base model of all managed objects in the J2EE Management Model. All managed objects in the J2EE Platform must implement the J2EEManagedObject model.

Field Summary

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Method Summary
`AMXConfig` | `getConfigPeer()` Get the corresponding configuration peer for this MBean (if any).
`Monitoring` | `getMonitoringPeer()` Get the Monitoring (if any)
`java.lang.String` | `getobjectName()` The ObjectName of the J2EEManagedObject.
`boolean` | `iseventProvider()` If true, indicates that the managed object provides event notification about events that occur on that object.
`boolean` | `isstateManageable()` If true, indicates that this managed object implements the StateManageable model and is state manageable.
`boolean` | `isstatisticProvider()` If true, indicates that the managed object supports performance statistics and therefore implements the StatisticsProvider model.
`boolean` | `isstatisticsProvider()`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.j2ee.ConfigProvider
`isConfigProvider`

Method Detail

### getobjectName

    public java.lang.String getobjectName()

  The ObjectName of the J2EEManagedObject. All managed objects must have a unique name within the context of the management domain. The name must not be null.

  Note that the Attribute name is case-sensitive "getobjectName" as defined by JSR 77.

  Returns:
    the ObjectName of the object, as a String

### iseventProvider

    public boolean iseventProvider()

  If true, indicates that the managed object provides event notification about events that occur on that object. NOTE: JSR 77 defines the Attribute name as "eventProvider".

### isstateManageable

    public boolean isstateManageable()

  If true, indicates that this managed object implements the StateManageable model and is state manageable.

  Note that the Attribute name is case-sensitive "stateManageable" as defined by JSR 77.

### isstatisticProvider

    public boolean isstatisticProvider()

  If true, indicates that the managed object supports performance statistics and therefore implements the StatisticsProvider model.

  Note that the Attribute name is case-sensitive "statisticProvider" as defined by JSR 77.

### isstatisticsProvider

    public boolean isstatisticsProvider()

### getMonitoringPeer

    public Monitoring getMonitoringPeer()

  Get the Monitoring (if any)

  Returns:
    the proxy, or null if none

### getConfigPeer

    public AMXConfig getConfigPeer()

  Get the corresponding configuration peer for this MBean (if any). The returned proxy will implement the appropriate interface, not just AMXConfig.

  Returns:
    a proxy, or null if not found or inappropriate

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.